<div>
  <form #myForm="ngForm" (ngSubmit)="onClickAddTodo(content,date,name)">
    <p>
      <label for="name">Name</label>
      <input id="name" name="name" type="text" [(ngModel)]="name" required>
    </p>
    <p>
      <label for="date">Date</label>
      <input id="date" name="date" type="date" [(ngModel)]="date" required>
    </p>
    <p>
      <label for="content">Content</label>
      <textarea id="content" name="content" [(ngModel)]="content" required></textarea>
    </p>
    <p>
      <button type="submit" [disabled]="!myForm.valid">Submit</button>
    </p>
  </form>

  <div  *ngFor="let todo of todos">
    <p style="display: inline-block; margin-right: 20px" >{{todo.getContent()}}</p>
    <button (click)="onClickTodoDelete(todo.getContent())">X</button>
  </div>

</div>
